%define upstream_name    Number-Phone
%define upstream_version 2.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A pure perl multi-level hash/array DBM
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Number/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This is a base class which encapsulates that information about phone
numbers in the North American Numbering Plan (NANP) which are common to all
NANP countries - that is, those whose international dialling code is +1. If
you are dealing with phone numbers in any of those countries, you should
'use' this module. It will then load the country-specific modules for you
as needed.

Country-specific modules should inherit from this module and provide their
own versions of methods as necessary. However, they should not provide an
'is_valid' method or a constructor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGELOG META.json META.yml MYMETA.yml NOTES README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Tue Feb 21 2012 kharec <kharec> 2.0.0-1.mga2
+ Revision: 211709
- update to 2.0

* Mon Nov 14 2011 kharec <kharec> 1.900.0-1.mga2
+ Revision: 167510
- imported package perl-Number-Phone


* Mon Nov 14 2011 cpan2dist 1.9-1mga
- initial mageia release, generated with cpan2dist
